﻿<Window x:Class="AltiumTest.Views.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:prism="http://prismlibrary.com/"
        xmlns:consts="clr-namespace:AltiumTest.Additional"
        xmlns:b="http://schemas.microsoft.com/xaml/behaviors"
        xmlns:convs="clr-namespace:AltiumTest.Views.Converters"
        prism:ViewModelLocator.AutoWireViewModel="True" Background="{StaticResource LightGrayBackgroundBrush}"
        Title="{Binding Title}"  Height="768" Width="1024" MinHeight="470" MinWidth="1024" MaxHeight="1000" MaxWidth="1200"  WindowStartupLocation="CenterScreen">

	<Window.Resources>
		<convs:CompanyInfoBoardsToStringConverter x:Key="CompanyInfoBoardsToStringConverter"></convs:CompanyInfoBoardsToStringConverter>
		<convs:RunningTotalDaysImpactToStringConverter x:Key="RunningTotalDaysImpactToStringConverter"></convs:RunningTotalDaysImpactToStringConverter>
		<convs:RunningTotalCostImpactToStringConverter x:Key="RunningTotalCostImpactToStringConverter"></convs:RunningTotalCostImpactToStringConverter>
		<DataTemplate x:Key="PreferencesCompanyInfoTemplate">
			<StackPanel Orientation="Vertical" HorizontalAlignment="Left" >
				<TextBlock Text="Describe your design and receive real-time design feedback for manufacturing and component sourcing. If you design, we will provide an updated quote."
				           TextWrapping="Wrap" ></TextBlock>
			</StackPanel>
		</DataTemplate>
		<DataTemplate x:Key="QuotesOrdersCompanyInfoTemplate">
			<StackPanel Orientation="Vertical" HorizontalAlignment="Left" >
				<StackPanel Orientation="Horizontal">
					<TextBlock Text="Your "></TextBlock>
					<TextBlock Text="{Binding PreferenceGroups, Converter={StaticResource CompanyInfoBoardsToStringConverter}}" Foreground="LightBlue">
						<TextBlock.TextDecorations>
							<TextDecoration Location="Underline">
								<TextDecoration.Pen>
									<Pen Brush="LightBlue">
										<Pen.DashStyle>
											<DashStyle Dashes="5"/>
										</Pen.DashStyle>
									</Pen>
								</TextDecoration.Pen>
							</TextDecoration>
						</TextBlock.TextDecorations>
					</TextBlock>
					<TextBlock Text=" will be delivered in "></TextBlock>
					<TextBlock Text="{Binding QuoteParameters, Converter={StaticResource RunningTotalDaysImpactToStringConverter}}" FontWeight="Bold"></TextBlock>
				</StackPanel>
				<StackPanel Orientation="Horizontal">
					<TextBlock Text="Running Total "></TextBlock>
					<TextBlock Text="{Binding QuoteParameters, Converter={StaticResource RunningTotalCostImpactToStringConverter}}" FontWeight="Bold"></TextBlock>
				</StackPanel>
			</StackPanel>
		</DataTemplate>
	</Window.Resources>
	<Grid>

		<Grid.RowDefinitions>
			<RowDefinition Height="auto"></RowDefinition>
			<RowDefinition Height="*"></RowDefinition>
		</Grid.RowDefinitions>
		<!--Company info layout-->
		<Grid Grid.Row="0" Margin="8,4,8,4">
			<Grid.ColumnDefinitions>
				<ColumnDefinition></ColumnDefinition>
				<ColumnDefinition></ColumnDefinition>
			</Grid.ColumnDefinitions>
			<Grid Grid.Column="0">
				<Grid.ColumnDefinitions>
					<ColumnDefinition Width="auto"></ColumnDefinition>
					<ColumnDefinition Width="*"></ColumnDefinition>
				</Grid.ColumnDefinitions>
				<Image Grid.Column="0" Source="pack://application:,,,/Resources/Company.png" 
				       Width="60"
				       Height="{Binding RelativeSource={RelativeSource Self}, Path=Width}"
				></Image>
				<Grid Grid.Column="1">
					<StackPanel Orientation="Vertical" MaxWidth="500" HorizontalAlignment="Left" >
						<TextBlock Text="Tempo Automation" FontWeight="Bold" Margin="5,2,2,2"></TextBlock>
						<ContentControl Content="{Binding}" Margin="5,2,2,2">
							<ContentControl.Style>
								<Style TargetType="ContentControl">
									<Setter Property="ContentTemplate" Value="{StaticResource PreferencesCompanyInfoTemplate}" />
									<Style.Triggers>
										<DataTrigger Binding="{Binding MainWindowState}" Value="Preferences">
											<Setter Property="ContentTemplate" Value="{StaticResource PreferencesCompanyInfoTemplate}"></Setter>
										</DataTrigger>
										<DataTrigger Binding="{Binding MainWindowState}" Value="QuotesOrders">
											<Setter Property="ContentTemplate" Value="{StaticResource QuotesOrdersCompanyInfoTemplate}"></Setter>
										</DataTrigger>
									</Style.Triggers>
								</Style>
							</ContentControl.Style>
						</ContentControl>
					</StackPanel>
					

				</Grid>
			</Grid>
			<Grid Grid.Column="1">
				<Grid.RowDefinitions>
					<RowDefinition Height="*"></RowDefinition>
					<RowDefinition Height="*"></RowDefinition>
				</Grid.RowDefinitions>
				<Grid Grid.Row="0" HorizontalAlignment="Right">
					<Grid.ColumnDefinitions>
						<ColumnDefinition Width="auto"></ColumnDefinition>
						<ColumnDefinition Width="{Binding ElementName=reclButton, Path=Width}"></ColumnDefinition>
					</Grid.ColumnDefinitions>
					<Button Grid.Column="0" x:Name="PlaceOrderButton"   Height="30" Margin="0,0,15,0">

						<Button.Style>
							<Style BasedOn="{StaticResource RoundedButtonStyleSimple}" TargetType="{x:Type Button}">
								<Style.Triggers>
									<DataTrigger Binding="{Binding CanPlaceOrder}" Value="False">
										<Setter Property="IsEnabled"  Value="False"/>
									</DataTrigger>
								</Style.Triggers>
							</Style>
						</Button.Style>
						<Button.Content>
							<Grid>
								<Grid.ColumnDefinitions>
									<ColumnDefinition Width="0.5*"></ColumnDefinition>
									<ColumnDefinition Width="0.5*"></ColumnDefinition>
								</Grid.ColumnDefinitions>
								<Image Grid.Column="0" RenderOptions.BitmapScalingMode="HighQuality" HorizontalAlignment="Left"  Source="pack://application:,,,/Resources/mbasket.png" UseLayoutRounding="True" Margin="3,3,3,3"></Image>
								<TextBlock Grid.Column="1" Text="Place an Order" VerticalAlignment="Center" Margin="0,3,6,3">

								</TextBlock>
							</Grid>

						</Button.Content>
					</Button>
					<Button Grid.Column="1" Style="{StaticResource RoundedButtonStyleSimple}" Width="30" Height="{Binding ElementName=PlaceOrderButton, Path=ActualHeight}" x:Name="reclButton" >
						<Button.Content>
							<Image RenderOptions.BitmapScalingMode="HighQuality"  Source="pack://application:,,,/Resources/arrows.png" UseLayoutRounding="True" Margin="3,3,3,3"></Image>

						</Button.Content>
					</Button>
				</Grid>

			</Grid>
		</Grid>
		<Grid Grid.Row="1">
			<ContentControl Content="{Binding}">
				<ContentControl.Style>
					<Style TargetType="ContentControl">
						<Setter Property="ContentTemplate" Value="{StaticResource PreferencesTemplate}" />
						<Style.Triggers>
							<DataTrigger Binding="{Binding MainWindowState}" Value="Preferences">
								<Setter Property="ContentTemplate" Value="{StaticResource PreferencesTemplate}"></Setter>
							</DataTrigger>
							<DataTrigger Binding="{Binding MainWindowState}" Value="QuotesOrders">
								<Setter Property="ContentTemplate" Value="{StaticResource QuotesOrdersTemplate}"></Setter>
							</DataTrigger>
						</Style.Triggers>
					</Style>
				</ContentControl.Style>
			</ContentControl>
		</Grid>
	</Grid>
</Window>
